axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sam...@apache.org
Subject svn commit: r345821 [8/8] - in /webservices/axis2/trunk/c: ./ include/ modules/test/om/src/ modules/util/src/ modules/xml/guththila/ modules/xml/om/src/ modules/xml/om/test/ modules/xml/parser/ modules/xml/parser/guththila/impl/src/ modules/xml/parser/...
Date Mon, 21 Nov 2005 03:57:03 GMT
Modified: webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile
URL: http://svn.apache.org/viewcvs/webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile?rev=345821&r1=345820&r2=345821&view=diff
==============================================================================
--- webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile (original)
+++ webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile Sun Nov 20 19:53:26
2005
@@ -14,9 +14,7 @@
 
 
 
-
-
-SOURCES = $(libtest_libxml2_la_SOURCES) $(libxml2_test_SOURCES)
+SOURCES = $(libxml_test_SOURCES)
 
 srcdir = .
 top_srcdir = ../../../../..
@@ -41,10 +39,9 @@
 build_triplet = i686-redhat-linux-gnu
 host_triplet = i686-redhat-linux-gnu
 target_triplet = i686-redhat-linux-gnu
-prgbin_PROGRAMS = libxml2_test$(EXEEXT)
+prgbin_PROGRAMS = libxml_test$(EXEEXT)
 subdir = modules/xml/parser/libxml2/test
-DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
 	$(top_srcdir)/conftools/libtool.m4 \
@@ -55,27 +52,13 @@
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/axis2_config.h
 CONFIG_CLEAN_FILES =
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
-am__vpath_adj = case $$p in \
-    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
-    *) f=$$p;; \
-  esac;
-am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
-am__installdirs = "$(DESTDIR)$(prglibdir)" "$(DESTDIR)$(prgbindir)" \
-	"$(DESTDIR)$(includedir)"
-prglibLTLIBRARIES_INSTALL = $(INSTALL)
-LTLIBRARIES = $(prglib_LTLIBRARIES)
-am__DEPENDENCIES_1 =
-libtest_libxml2_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-	$(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
-am_libtest_libxml2_la_OBJECTS = libxml2_test.lo
-libtest_libxml2_la_OBJECTS = $(am_libtest_libxml2_la_OBJECTS)
+am__installdirs = "$(DESTDIR)$(prgbindir)"
 prgbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(prgbin_PROGRAMS)
-am_libxml2_test_OBJECTS = main.$(OBJEXT)
-libxml2_test_OBJECTS = $(am_libxml2_test_OBJECTS)
-libxml2_test_DEPENDENCIES = $(am__DEPENDENCIES_1) libtest_libxml2.la \
-	$(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
+am_libxml_test_OBJECTS = libxml_test.$(OBJEXT)
+libxml_test_OBJECTS = $(am_libxml_test_OBJECTS)
+am__DEPENDENCIES_1 =
+libxml_test_DEPENDENCIES = $(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
 am__depfiles_maybe = depfiles
@@ -87,21 +70,26 @@
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libtest_libxml2_la_SOURCES) $(libxml2_test_SOURCES)
-DIST_SOURCES = $(libtest_libxml2_la_SOURCES) $(libxml2_test_SOURCES)
-includeHEADERS_INSTALL = $(INSTALL_HEADER)
-HEADERS = $(include_HEADERS)
+SOURCES = $(libxml_test_SOURCES)
+DIST_SOURCES = $(libxml_test_SOURCES)
+RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
+	html-recursive info-recursive install-data-recursive \
+	install-exec-recursive install-info-recursive \
+	install-recursive installcheck-recursive installdirs-recursive \
+	pdf-recursive ps-recursive uninstall-info-recursive \
+	uninstall-recursive
 ETAGS = etags
 CTAGS = ctags
+DIST_SUBDIRS = $(SUBDIRS)
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/damitha/projects/c/conftools/missing --run aclocal-1.9
+ACLOCAL = ${SHELL} /home/nandika/axis2/c/conftools/missing --run aclocal-1.9
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/damitha/projects/c/conftools/missing --run tar
+AMTAR = ${SHELL} /home/nandika/axis2/c/conftools/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/damitha/projects/c/conftools/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/damitha/projects/c/conftools/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/damitha/projects/c/conftools/missing --run automake-1.9
+AUTOCONF = ${SHELL} /home/nandika/axis2/c/conftools/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/nandika/axis2/c/conftools/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/nandika/axis2/c/conftools/missing --run automake-1.9
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -127,19 +115,19 @@
 ECHO_T = 
 EGREP = grep -E
 EXEEXT = 
-F77 = g77
+F77 = f95
 FFLAGS = -g -O2
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
-LDFLAGS =  -L/home/damitha/programs/cutest/lib/
+LDFLAGS =  -L/home/nandika/software/cutest/lib/
 LIBOBJS = 
 LIBS = -lcutest -ldl
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/damitha/projects/c/conftools/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/nandika/axis2/c/conftools/missing --run makeinfo
 OBJEXT = o
 PACKAGE = axis2
 PACKAGE_BUGREPORT = 
@@ -157,7 +145,7 @@
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
-ac_ct_F77 = g77
+ac_ct_F77 = f95
 ac_ct_RANLIB = ranlib
 ac_ct_STRIP = strip
 am__fastdepCC_FALSE = #
@@ -184,7 +172,7 @@
 host_vendor = redhat
 includedir = ${prefix}/include
 infodir = ${prefix}/info
-install_sh = /home/damitha/projects/c/conftools/install-sh
+install_sh = /home/nandika/axis2/c/conftools/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localstatedir = ${prefix}/var
@@ -201,19 +189,19 @@
 target_cpu = i686
 target_os = linux-gnu
 target_vendor = redhat
-prgbindir = $(prefix)/bin/unit_test
-prglibdir = $(prefix)/lib/unit_test
-prglib_LTLIBRARIES = libtest_libxml2.la
-AM_CPPFLAGS = $(CPPFLAGS) -g
-libtest_libxml2_la_SOURCES = libxml2_test.c
-include_HEADERS = $(top_builddir)/modules/xml/parser/libxml2/test/*.h
-libtest_libxml2_la_LIBADD = $(LDFLAGS) $(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
-INCLUDES = -I$(top_builddir)/include \
-            -I${CUTEST_HOME}/include
-
-libxml2_test_SOURCES = main.c
-libxml2_test_LDADD = $(LDFLAGS) libtest_libxml2.la  $(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
-all: all-am
+prgbindir = $(prefix)/bin/system_test            
+SUBDIRS = 
+AM_CPPFLAGS = $(CPPFLAGS) -g -pthread
+libxml_test_SOURCES = libxml_test.c
+libxml_test_LDADD = $(LDFLAGS)  -L$(top_builddir)/modules/xml/parser/libxml2/src/.libs -laxis2_libxml2
\
+                       -L${LIBXML2_LIB} -lxml2 \
+                       -L$(top_builddir)/modules/util/src/.libs -laxis2_util
+
+INCLUDES = -I$(top_builddir)/modules/xml/parser/ \
+            -I$(top_builddir)/modules/util/src \
+            -I$(top_builddir)/include 
+
+all: all-recursive
 
 .SUFFIXES:
 .SUFFIXES: .c .lo .o .obj
@@ -246,35 +234,6 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-install-prglibLTLIBRARIES: $(prglib_LTLIBRARIES)
-	@$(NORMAL_INSTALL)
-	test -z "$(prglibdir)" || $(mkdir_p) "$(DESTDIR)$(prglibdir)"
-	@list='$(prglib_LTLIBRARIES)'; for p in $$list; do \
-	  if test -f $$p; then \
-	    f=$(am__strip_dir) \
-	    echo " $(LIBTOOL) --mode=install $(prglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG)
'$$p' '$(DESTDIR)$(prglibdir)/$$f'"; \
-	    $(LIBTOOL) --mode=install $(prglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(prglibdir)/$$f";
\
-	  else :; fi; \
-	done
-
-uninstall-prglibLTLIBRARIES:
-	@$(NORMAL_UNINSTALL)
-	@set -x; list='$(prglib_LTLIBRARIES)'; for p in $$list; do \
-	  p=$(am__strip_dir) \
-	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(prglibdir)/$$p'"; \
-	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(prglibdir)/$$p"; \
-	done
-
-clean-prglibLTLIBRARIES:
-	-test -z "$(prglib_LTLIBRARIES)" || rm -f $(prglib_LTLIBRARIES)
-	@list='$(prglib_LTLIBRARIES)'; for p in $$list; do \
-	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-	  test "$$dir" != "$$p" || dir=.; \
-	  echo "rm -f \"$${dir}/so_locations\""; \
-	  rm -f "$${dir}/so_locations"; \
-	done
-libtest_libxml2.la: $(libtest_libxml2_la_OBJECTS) $(libtest_libxml2_la_DEPENDENCIES) 
-	$(LINK) -rpath $(prglibdir) $(libtest_libxml2_la_LDFLAGS) $(libtest_libxml2_la_OBJECTS)
$(libtest_libxml2_la_LIBADD) $(LIBS)
 install-prgbinPROGRAMS: $(prgbin_PROGRAMS)
 	@$(NORMAL_INSTALL)
 	test -z "$(prgbindir)" || $(mkdir_p) "$(DESTDIR)$(prgbindir)"
@@ -303,9 +262,9 @@
 	  echo " rm -f $$p $$f"; \
 	  rm -f $$p $$f ; \
 	done
-libxml2_test$(EXEEXT): $(libxml2_test_OBJECTS) $(libxml2_test_DEPENDENCIES) 
-	@rm -f libxml2_test$(EXEEXT)
-	$(LINK) $(libxml2_test_LDFLAGS) $(libxml2_test_OBJECTS) $(libxml2_test_LDADD) $(LIBS)
+libxml_test$(EXEEXT): $(libxml_test_OBJECTS) $(libxml_test_DEPENDENCIES) 
+	@rm -f libxml_test$(EXEEXT)
+	$(LINK) $(libxml_test_LDFLAGS) $(libxml_test_OBJECTS) $(libxml_test_LDADD) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
@@ -313,8 +272,7 @@
 distclean-compile:
 	-rm -f *.tab.c
 
-include ./$(DEPDIR)/libxml2_test.Plo
-include ./$(DEPDIR)/main.Po
+include ./$(DEPDIR)/libxml_test.Po
 
 .c.o:
 	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@@ -346,22 +304,76 @@
 distclean-libtool:
 	-rm -f libtool
 uninstall-info-am:
-install-includeHEADERS: $(include_HEADERS)
-	@$(NORMAL_INSTALL)
-	test -z "$(includedir)" || $(mkdir_p) "$(DESTDIR)$(includedir)"
-	@list='$(include_HEADERS)'; for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  f=$(am__strip_dir) \
-	  echo " $(includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
-	  $(includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
-	done
 
-uninstall-includeHEADERS:
-	@$(NORMAL_UNINSTALL)
-	@list='$(include_HEADERS)'; for p in $$list; do \
-	  f=$(am__strip_dir) \
-	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
-	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
+# This directory's subdirectories are mostly independent; you can cd
+# into them and run `make' without going through this Makefile.
+# To change the values of `make' variables: instead of editing Makefiles,
+# (1) if the variable is set in `config.status', edit `config.status'
+#     (which will cause the Makefiles to be regenerated when you run `make');
+# (2) otherwise, pass the desired values on the `make' command line.
+$(RECURSIVE_TARGETS):
+	@failcom='exit 1'; \
+	for f in x $$MAKEFLAGS; do \
+	  case $$f in \
+	    *=* | --[!k]*);; \
+	    *k*) failcom='fail=yes';; \
+	  esac; \
+	done; \
+	dot_seen=no; \
+	target=`echo $@ | sed s/-recursive//`; \
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    dot_seen=yes; \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	  || eval $$failcom; \
+	done; \
+	if test "$$dot_seen" = "no"; then \
+	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+	fi; test -z "$$fail"
+
+mostlyclean-recursive clean-recursive distclean-recursive \
+maintainer-clean-recursive:
+	@failcom='exit 1'; \
+	for f in x $$MAKEFLAGS; do \
+	  case $$f in \
+	    *=* | --[!k]*);; \
+	    *k*) failcom='fail=yes';; \
+	  esac; \
+	done; \
+	dot_seen=no; \
+	case "$@" in \
+	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
+	  *) list='$(SUBDIRS)' ;; \
+	esac; \
+	rev=''; for subdir in $$list; do \
+	  if test "$$subdir" = "."; then :; else \
+	    rev="$$subdir $$rev"; \
+	  fi; \
+	done; \
+	rev="$$rev ."; \
+	target=`echo $@ | sed s/-recursive//`; \
+	for subdir in $$rev; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	  || eval $$failcom; \
+	done && test -z "$$fail"
+tags-recursive:
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
+	done
+ctags-recursive:
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
 	done
 
 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
@@ -374,10 +386,23 @@
 	mkid -fID $$unique
 tags: TAGS
 
-TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 		$(TAGS_FILES) $(LISP)
 	tags=; \
 	here=`pwd`; \
+	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
+	  include_option=--etags-include; \
+	  empty_fix=.; \
+	else \
+	  include_option=--include; \
+	  empty_fix=; \
+	fi; \
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  if test "$$subdir" = .; then :; else \
+	    test ! -f $$subdir/TAGS || \
+	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
+	  fi; \
+	done; \
 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 	unique=`for i in $$list; do \
 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
@@ -390,7 +415,7 @@
 	    $$tags $$unique; \
 	fi
 ctags: CTAGS
-CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 		$(TAGS_FILES) $(LISP)
 	tags=; \
 	here=`pwd`; \
@@ -413,7 +438,6 @@
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/$(top_builddir)/modules/xml/parser/libxml2/test
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
 	list='$(DISTFILES)'; for file in $$list; do \
@@ -440,22 +464,38 @@
 	    || exit 1; \
 	  fi; \
 	done
+	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
+	  if test "$$subdir" = .; then :; else \
+	    test -d "$(distdir)/$$subdir" \
+	    || $(mkdir_p) "$(distdir)/$$subdir" \
+	    || exit 1; \
+	    distdir=`$(am__cd) $(distdir) && pwd`; \
+	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
+	    (cd $$subdir && \
+	      $(MAKE) $(AM_MAKEFLAGS) \
+	        top_distdir="$$top_distdir" \
+	        distdir="$$distdir/$$subdir" \
+	        distdir) \
+	      || exit 1; \
+	  fi; \
+	done
 check-am: all-am
-check: check-am
-all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS)
-installdirs:
-	for dir in "$(DESTDIR)$(prglibdir)" "$(DESTDIR)$(prgbindir)" "$(DESTDIR)$(includedir)";
do \
+check: check-recursive
+all-am: Makefile $(PROGRAMS)
+installdirs: installdirs-recursive
+installdirs-am:
+	for dir in "$(DESTDIR)$(prgbindir)"; do \
 	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
 	done
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
+install: install-recursive
+install-exec: install-exec-recursive
+install-data: install-data-recursive
+uninstall: uninstall-recursive
 
 install-am: all-am
 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 
-installcheck: installcheck-am
+installcheck: installcheck-recursive
 install-strip:
 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
@@ -471,73 +511,73 @@
 maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"
 	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
+clean: clean-recursive
 
 clean-am: clean-generic clean-libtool clean-prgbinPROGRAMS \
-	clean-prglibLTLIBRARIES mostlyclean-am
+	mostlyclean-am
 
-distclean: distclean-am
+distclean: distclean-recursive
 	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
 	distclean-libtool distclean-tags
 
-dvi: dvi-am
+dvi: dvi-recursive
 
 dvi-am:
 
-html: html-am
+html: html-recursive
 
-info: info-am
+info: info-recursive
 
 info-am:
 
-install-data-am: install-includeHEADERS install-prgbinPROGRAMS \
-	install-prglibLTLIBRARIES
+install-data-am: install-prgbinPROGRAMS
 
 install-exec-am:
 
-install-info: install-info-am
+install-info: install-info-recursive
 
 install-man:
 
 installcheck-am:
 
-maintainer-clean: maintainer-clean-am
+maintainer-clean: maintainer-clean-recursive
 	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
-mostlyclean: mostlyclean-am
+mostlyclean: mostlyclean-recursive
 
 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 	mostlyclean-libtool
 
-pdf: pdf-am
+pdf: pdf-recursive
 
 pdf-am:
 
-ps: ps-am
+ps: ps-recursive
 
 ps-am:
 
-uninstall-am: uninstall-includeHEADERS uninstall-info-am \
-	uninstall-prgbinPROGRAMS uninstall-prglibLTLIBRARIES
+uninstall-am: uninstall-info-am uninstall-prgbinPROGRAMS
+
+uninstall-info: uninstall-info-recursive
 
-.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-libtool clean-prgbinPROGRAMS clean-prglibLTLIBRARIES \
-	ctags distclean distclean-compile distclean-generic \
-	distclean-libtool distclean-tags distdir dvi dvi-am html \
+.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
+	clean clean-generic clean-libtool clean-prgbinPROGRAMS \
+	clean-recursive ctags ctags-recursive distclean \
+	distclean-compile distclean-generic distclean-libtool \
+	distclean-recursive distclean-tags distdir dvi dvi-am html \
 	html-am info info-am install install-am install-data \
-	install-data-am install-exec install-exec-am \
-	install-includeHEADERS install-info install-info-am \
-	install-man install-prgbinPROGRAMS install-prglibLTLIBRARIES \
+	install-data-am install-exec install-exec-am install-info \
+	install-info-am install-man install-prgbinPROGRAMS \
 	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
-	pdf pdf-am ps ps-am tags uninstall uninstall-am \
-	uninstall-includeHEADERS uninstall-info-am \
-	uninstall-prgbinPROGRAMS uninstall-prglibLTLIBRARIES
+	installdirs-am maintainer-clean maintainer-clean-generic \
+	maintainer-clean-recursive mostlyclean mostlyclean-compile \
+	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
+	pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
+	uninstall-info-am uninstall-prgbinPROGRAMS
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.

Modified: webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile.am
URL: http://svn.apache.org/viewcvs/webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile.am?rev=345821&r1=345820&r2=345821&view=diff
==============================================================================
--- webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile.am (original)
+++ webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile.am Sun Nov 20 19:53:26
2005
@@ -1,15 +1,15 @@
-prgbindir=$(prefix)/bin/unit_test
-prglibdir=$(prefix)/lib/unit_test
-prglib_LTLIBRARIES = libtest_libxml2.la
-AM_CPPFLAGS = $(CPPFLAGS) -g
-libtest_libxml2_la_SOURCES = libxml2_test.c
-include_HEADERS=$(top_builddir)/modules/xml/parser/libxml2/test/*.h
+prgbindir=$(prefix)/bin/system_test            
+prgbin_PROGRAMS = libxml_test
+SUBDIRS = 
+AM_CPPFLAGS = $(CPPFLAGS) -g -pthread
 
-libtest_libxml2_la_LIBADD = $(LDFLAGS) $(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
-INCLUDES = -I$(top_builddir)/include \
-            -I${CUTEST_HOME}/include
+libxml_test_SOURCES = libxml_test.c
 
-prgbin_PROGRAMS = libxml2_test
-libxml2_test_SOURCES = main.c
-libxml2_test_LDADD   =  $(LDFLAGS) libtest_libxml2.la  $(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
+libxml_test_LDADD   =  $(LDFLAGS)  -L$(top_builddir)/modules/xml/parser/libxml2/src/.libs
-laxis2_libxml2 \
+                       -L${LIBXML2_LIB} -lxml2 \
+                       -L$(top_builddir)/modules/util/src/.libs -laxis2_util
+                       
+INCLUDES =  -I$(top_builddir)/modules/xml/parser/ \
+            -I$(top_builddir)/modules/util/src \
+            -I$(top_builddir)/include 
 

Modified: webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile.in
URL: http://svn.apache.org/viewcvs/webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile.in?rev=345821&r1=345820&r2=345821&view=diff
==============================================================================
--- webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile.in (original)
+++ webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/Makefile.in Sun Nov 20 19:53:26
2005
@@ -14,9 +14,7 @@
 
 @SET_MAKE@
 
-
-
-SOURCES = $(libtest_libxml2_la_SOURCES) $(libxml2_test_SOURCES)
+SOURCES = $(libxml_test_SOURCES)
 
 srcdir = @srcdir@
 top_srcdir = @top_srcdir@
@@ -41,10 +39,9 @@
 build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
-prgbin_PROGRAMS = libxml2_test$(EXEEXT)
+prgbin_PROGRAMS = libxml_test$(EXEEXT)
 subdir = modules/xml/parser/libxml2/test
-DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
 	$(top_srcdir)/conftools/libtool.m4 \
@@ -55,27 +52,13 @@
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/axis2_config.h
 CONFIG_CLEAN_FILES =
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
-am__vpath_adj = case $$p in \
-    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
-    *) f=$$p;; \
-  esac;
-am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
-am__installdirs = "$(DESTDIR)$(prglibdir)" "$(DESTDIR)$(prgbindir)" \
-	"$(DESTDIR)$(includedir)"
-prglibLTLIBRARIES_INSTALL = $(INSTALL)
-LTLIBRARIES = $(prglib_LTLIBRARIES)
-am__DEPENDENCIES_1 =
-libtest_libxml2_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-	$(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
-am_libtest_libxml2_la_OBJECTS = libxml2_test.lo
-libtest_libxml2_la_OBJECTS = $(am_libtest_libxml2_la_OBJECTS)
+am__installdirs = "$(DESTDIR)$(prgbindir)"
 prgbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(prgbin_PROGRAMS)
-am_libxml2_test_OBJECTS = main.$(OBJEXT)
-libxml2_test_OBJECTS = $(am_libxml2_test_OBJECTS)
-libxml2_test_DEPENDENCIES = $(am__DEPENDENCIES_1) libtest_libxml2.la \
-	$(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
+am_libxml_test_OBJECTS = libxml_test.$(OBJEXT)
+libxml_test_OBJECTS = $(am_libxml_test_OBJECTS)
+am__DEPENDENCIES_1 =
+libxml_test_DEPENDENCIES = $(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
 am__depfiles_maybe = depfiles
@@ -87,12 +70,17 @@
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-SOURCES = $(libtest_libxml2_la_SOURCES) $(libxml2_test_SOURCES)
-DIST_SOURCES = $(libtest_libxml2_la_SOURCES) $(libxml2_test_SOURCES)
-includeHEADERS_INSTALL = $(INSTALL_HEADER)
-HEADERS = $(include_HEADERS)
+SOURCES = $(libxml_test_SOURCES)
+DIST_SOURCES = $(libxml_test_SOURCES)
+RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
+	html-recursive info-recursive install-data-recursive \
+	install-exec-recursive install-info-recursive \
+	install-recursive installcheck-recursive installdirs-recursive \
+	pdf-recursive ps-recursive uninstall-info-recursive \
+	uninstall-recursive
 ETAGS = etags
 CTAGS = ctags
+DIST_SUBDIRS = $(SUBDIRS)
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 AMDEP_FALSE = @AMDEP_FALSE@
@@ -201,19 +189,19 @@
 target_cpu = @target_cpu@
 target_os = @target_os@
 target_vendor = @target_vendor@
-prgbindir = $(prefix)/bin/unit_test
-prglibdir = $(prefix)/lib/unit_test
-prglib_LTLIBRARIES = libtest_libxml2.la
-AM_CPPFLAGS = $(CPPFLAGS) -g
-libtest_libxml2_la_SOURCES = libxml2_test.c
-include_HEADERS = $(top_builddir)/modules/xml/parser/libxml2/test/*.h
-libtest_libxml2_la_LIBADD = $(LDFLAGS) $(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
-INCLUDES = -I$(top_builddir)/include \
-            -I${CUTEST_HOME}/include
-
-libxml2_test_SOURCES = main.c
-libxml2_test_LDADD = $(LDFLAGS) libtest_libxml2.la  $(top_builddir)/modules/libxml2/src/libaxis2_libxml2.la
-all: all-am
+prgbindir = $(prefix)/bin/system_test            
+SUBDIRS = 
+AM_CPPFLAGS = $(CPPFLAGS) -g -pthread
+libxml_test_SOURCES = libxml_test.c
+libxml_test_LDADD = $(LDFLAGS)  -L$(top_builddir)/modules/xml/parser/libxml2/src/.libs -laxis2_libxml2
\
+                       -L${LIBXML2_LIB} -lxml2 \
+                       -L$(top_builddir)/modules/util/src/.libs -laxis2_util
+
+INCLUDES = -I$(top_builddir)/modules/xml/parser/ \
+            -I$(top_builddir)/modules/util/src \
+            -I$(top_builddir)/include 
+
+all: all-recursive
 
 .SUFFIXES:
 .SUFFIXES: .c .lo .o .obj
@@ -246,35 +234,6 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-install-prglibLTLIBRARIES: $(prglib_LTLIBRARIES)
-	@$(NORMAL_INSTALL)
-	test -z "$(prglibdir)" || $(mkdir_p) "$(DESTDIR)$(prglibdir)"
-	@list='$(prglib_LTLIBRARIES)'; for p in $$list; do \
-	  if test -f $$p; then \
-	    f=$(am__strip_dir) \
-	    echo " $(LIBTOOL) --mode=install $(prglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG)
'$$p' '$(DESTDIR)$(prglibdir)/$$f'"; \
-	    $(LIBTOOL) --mode=install $(prglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(prglibdir)/$$f";
\
-	  else :; fi; \
-	done
-
-uninstall-prglibLTLIBRARIES:
-	@$(NORMAL_UNINSTALL)
-	@set -x; list='$(prglib_LTLIBRARIES)'; for p in $$list; do \
-	  p=$(am__strip_dir) \
-	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(prglibdir)/$$p'"; \
-	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(prglibdir)/$$p"; \
-	done
-
-clean-prglibLTLIBRARIES:
-	-test -z "$(prglib_LTLIBRARIES)" || rm -f $(prglib_LTLIBRARIES)
-	@list='$(prglib_LTLIBRARIES)'; for p in $$list; do \
-	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
-	  test "$$dir" != "$$p" || dir=.; \
-	  echo "rm -f \"$${dir}/so_locations\""; \
-	  rm -f "$${dir}/so_locations"; \
-	done
-libtest_libxml2.la: $(libtest_libxml2_la_OBJECTS) $(libtest_libxml2_la_DEPENDENCIES) 
-	$(LINK) -rpath $(prglibdir) $(libtest_libxml2_la_LDFLAGS) $(libtest_libxml2_la_OBJECTS)
$(libtest_libxml2_la_LIBADD) $(LIBS)
 install-prgbinPROGRAMS: $(prgbin_PROGRAMS)
 	@$(NORMAL_INSTALL)
 	test -z "$(prgbindir)" || $(mkdir_p) "$(DESTDIR)$(prgbindir)"
@@ -303,9 +262,9 @@
 	  echo " rm -f $$p $$f"; \
 	  rm -f $$p $$f ; \
 	done
-libxml2_test$(EXEEXT): $(libxml2_test_OBJECTS) $(libxml2_test_DEPENDENCIES) 
-	@rm -f libxml2_test$(EXEEXT)
-	$(LINK) $(libxml2_test_LDFLAGS) $(libxml2_test_OBJECTS) $(libxml2_test_LDADD) $(LIBS)
+libxml_test$(EXEEXT): $(libxml_test_OBJECTS) $(libxml_test_DEPENDENCIES) 
+	@rm -f libxml_test$(EXEEXT)
+	$(LINK) $(libxml_test_LDFLAGS) $(libxml_test_OBJECTS) $(libxml_test_LDADD) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
@@ -313,8 +272,7 @@
 distclean-compile:
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libxml2_test.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libxml_test.Po@am__quote@
 
 .c.o:
 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<;
\
@@ -346,22 +304,76 @@
 distclean-libtool:
 	-rm -f libtool
 uninstall-info-am:
-install-includeHEADERS: $(include_HEADERS)
-	@$(NORMAL_INSTALL)
-	test -z "$(includedir)" || $(mkdir_p) "$(DESTDIR)$(includedir)"
-	@list='$(include_HEADERS)'; for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  f=$(am__strip_dir) \
-	  echo " $(includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
-	  $(includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
-	done
 
-uninstall-includeHEADERS:
-	@$(NORMAL_UNINSTALL)
-	@list='$(include_HEADERS)'; for p in $$list; do \
-	  f=$(am__strip_dir) \
-	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
-	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
+# This directory's subdirectories are mostly independent; you can cd
+# into them and run `make' without going through this Makefile.
+# To change the values of `make' variables: instead of editing Makefiles,
+# (1) if the variable is set in `config.status', edit `config.status'
+#     (which will cause the Makefiles to be regenerated when you run `make');
+# (2) otherwise, pass the desired values on the `make' command line.
+$(RECURSIVE_TARGETS):
+	@failcom='exit 1'; \
+	for f in x $$MAKEFLAGS; do \
+	  case $$f in \
+	    *=* | --[!k]*);; \
+	    *k*) failcom='fail=yes';; \
+	  esac; \
+	done; \
+	dot_seen=no; \
+	target=`echo $@ | sed s/-recursive//`; \
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    dot_seen=yes; \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	  || eval $$failcom; \
+	done; \
+	if test "$$dot_seen" = "no"; then \
+	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+	fi; test -z "$$fail"
+
+mostlyclean-recursive clean-recursive distclean-recursive \
+maintainer-clean-recursive:
+	@failcom='exit 1'; \
+	for f in x $$MAKEFLAGS; do \
+	  case $$f in \
+	    *=* | --[!k]*);; \
+	    *k*) failcom='fail=yes';; \
+	  esac; \
+	done; \
+	dot_seen=no; \
+	case "$@" in \
+	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
+	  *) list='$(SUBDIRS)' ;; \
+	esac; \
+	rev=''; for subdir in $$list; do \
+	  if test "$$subdir" = "."; then :; else \
+	    rev="$$subdir $$rev"; \
+	  fi; \
+	done; \
+	rev="$$rev ."; \
+	target=`echo $@ | sed s/-recursive//`; \
+	for subdir in $$rev; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	  || eval $$failcom; \
+	done && test -z "$$fail"
+tags-recursive:
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
+	done
+ctags-recursive:
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
 	done
 
 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
@@ -374,10 +386,23 @@
 	mkid -fID $$unique
 tags: TAGS
 
-TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 		$(TAGS_FILES) $(LISP)
 	tags=; \
 	here=`pwd`; \
+	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
+	  include_option=--etags-include; \
+	  empty_fix=.; \
+	else \
+	  include_option=--include; \
+	  empty_fix=; \
+	fi; \
+	list='$(SUBDIRS)'; for subdir in $$list; do \
+	  if test "$$subdir" = .; then :; else \
+	    test ! -f $$subdir/TAGS || \
+	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
+	  fi; \
+	done; \
 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
 	unique=`for i in $$list; do \
 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
@@ -390,7 +415,7 @@
 	    $$tags $$unique; \
 	fi
 ctags: CTAGS
-CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
 		$(TAGS_FILES) $(LISP)
 	tags=; \
 	here=`pwd`; \
@@ -413,7 +438,6 @@
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/$(top_builddir)/modules/xml/parser/libxml2/test
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
 	list='$(DISTFILES)'; for file in $$list; do \
@@ -440,22 +464,38 @@
 	    || exit 1; \
 	  fi; \
 	done
+	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
+	  if test "$$subdir" = .; then :; else \
+	    test -d "$(distdir)/$$subdir" \
+	    || $(mkdir_p) "$(distdir)/$$subdir" \
+	    || exit 1; \
+	    distdir=`$(am__cd) $(distdir) && pwd`; \
+	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
+	    (cd $$subdir && \
+	      $(MAKE) $(AM_MAKEFLAGS) \
+	        top_distdir="$$top_distdir" \
+	        distdir="$$distdir/$$subdir" \
+	        distdir) \
+	      || exit 1; \
+	  fi; \
+	done
 check-am: all-am
-check: check-am
-all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS)
-installdirs:
-	for dir in "$(DESTDIR)$(prglibdir)" "$(DESTDIR)$(prgbindir)" "$(DESTDIR)$(includedir)";
do \
+check: check-recursive
+all-am: Makefile $(PROGRAMS)
+installdirs: installdirs-recursive
+installdirs-am:
+	for dir in "$(DESTDIR)$(prgbindir)"; do \
 	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
 	done
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
+install: install-recursive
+install-exec: install-exec-recursive
+install-data: install-data-recursive
+uninstall: uninstall-recursive
 
 install-am: all-am
 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 
-installcheck: installcheck-am
+installcheck: installcheck-recursive
 install-strip:
 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
@@ -471,73 +511,73 @@
 maintainer-clean-generic:
 	@echo "This command is intended for maintainers to use"
 	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
+clean: clean-recursive
 
 clean-am: clean-generic clean-libtool clean-prgbinPROGRAMS \
-	clean-prglibLTLIBRARIES mostlyclean-am
+	mostlyclean-am
 
-distclean: distclean-am
+distclean: distclean-recursive
 	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
 	distclean-libtool distclean-tags
 
-dvi: dvi-am
+dvi: dvi-recursive
 
 dvi-am:
 
-html: html-am
+html: html-recursive
 
-info: info-am
+info: info-recursive
 
 info-am:
 
-install-data-am: install-includeHEADERS install-prgbinPROGRAMS \
-	install-prglibLTLIBRARIES
+install-data-am: install-prgbinPROGRAMS
 
 install-exec-am:
 
-install-info: install-info-am
+install-info: install-info-recursive
 
 install-man:
 
 installcheck-am:
 
-maintainer-clean: maintainer-clean-am
+maintainer-clean: maintainer-clean-recursive
 	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
 
-mostlyclean: mostlyclean-am
+mostlyclean: mostlyclean-recursive
 
 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
 	mostlyclean-libtool
 
-pdf: pdf-am
+pdf: pdf-recursive
 
 pdf-am:
 
-ps: ps-am
+ps: ps-recursive
 
 ps-am:
 
-uninstall-am: uninstall-includeHEADERS uninstall-info-am \
-	uninstall-prgbinPROGRAMS uninstall-prglibLTLIBRARIES
+uninstall-am: uninstall-info-am uninstall-prgbinPROGRAMS
+
+uninstall-info: uninstall-info-recursive
 
-.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-libtool clean-prgbinPROGRAMS clean-prglibLTLIBRARIES \
-	ctags distclean distclean-compile distclean-generic \
-	distclean-libtool distclean-tags distdir dvi dvi-am html \
+.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
+	clean clean-generic clean-libtool clean-prgbinPROGRAMS \
+	clean-recursive ctags ctags-recursive distclean \
+	distclean-compile distclean-generic distclean-libtool \
+	distclean-recursive distclean-tags distdir dvi dvi-am html \
 	html-am info info-am install install-am install-data \
-	install-data-am install-exec install-exec-am \
-	install-includeHEADERS install-info install-info-am \
-	install-man install-prgbinPROGRAMS install-prglibLTLIBRARIES \
+	install-data-am install-exec install-exec-am install-info \
+	install-info-am install-man install-prgbinPROGRAMS \
 	install-strip installcheck installcheck-am installdirs \
-	maintainer-clean maintainer-clean-generic mostlyclean \
-	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
-	pdf pdf-am ps ps-am tags uninstall uninstall-am \
-	uninstall-includeHEADERS uninstall-info-am \
-	uninstall-prgbinPROGRAMS uninstall-prglibLTLIBRARIES
+	installdirs-am maintainer-clean maintainer-clean-generic \
+	maintainer-clean-recursive mostlyclean mostlyclean-compile \
+	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
+	pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
+	uninstall-info-am uninstall-prgbinPROGRAMS
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.

Added: webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/libxml_test.c
URL: http://svn.apache.org/viewcvs/webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/libxml_test.c?rev=345821&view=auto
==============================================================================
--- webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/libxml_test.c (added)
+++ webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/libxml_test.c Sun Nov 20 19:53:26
2005
@@ -0,0 +1,188 @@
+#include <axis2_pull_parser.h>
+#include <axis2_env.h>
+#include <axis2_defines.h>
+#include <axis2.h>
+#include <stdio.h>
+#include <stdlib.h>
+
+int main(int argc, char *argv[])
+{
+    axis2_env_t *env = NULL;
+    axis2_allocator_t *allocator = NULL;
+    axis2_pull_parser_t *parser = NULL;
+    int token = 0;
+    char *p = NULL;
+    int attr_count =0;
+    int ns_count =0;
+    int i = 0;
+    char *filename ="namespaces.xml";
+    if(argc > 1)
+        filename = argv[1];
+    
+    allocator = axis2_allocator_init(NULL);
+    env       = axis2_env_create(allocator);
+    parser = axis2_pull_parser_create_for_file(&env,filename);
+    
+    printf("running test\n\n\n");
+        
+    do{
+        token = AXIS2_PULL_PARSER_NEXT(parser, &env);
+        if(token == -1) break;
+        
+        switch(token)
+        {
+            case AXIS2_PULL_PARSER_START_DOCUMENT:
+            break;
+    
+            case AXIS2_PULL_PARSER_SPACE:
+            break;
+            
+            case AXIS2_PULL_PARSER_START_ELEMENT:
+                
+	            printf ("\n<");
+        	    p = AXIS2_PULL_PARSER_GET_PREFIX (parser, &env);
+                
+        	    if (p)
+	            {
+            	    printf ("%s:", p);
+                    AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                    p = NULL;
+        	    }
+                 
+                p = AXIS2_PULL_PARSER_GET_NAME(parser, &env);
+	            printf ("%s", p);
+                AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+	    	    p = NULL;
+                ns_count = AXIS2_PULL_PARSER_GET_NAMESPACE_COUNT(parser, &env);     
          
+               /* printf("  __ ns count %d ",ns_count); */
+    	        for (i=1; i <= ns_count ; i++)
+	            {
+		            p = AXIS2_PULL_PARSER_GET_NAMESPACE_PREFIX_BY_NUMBER (parser, &env, i);
+        		    printf (" xmlns");
+                    if(p)
+        		    printf (":%s=\"", p);
+                    AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                    p = NULL;
+    		        p = AXIS2_PULL_PARSER_GET_NAMESPACE_URI_BY_NUMBER (parser, &env, i);
+	    	        printf ("%s\" ", p);
+                    AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+		        }     
+
+                attr_count = AXIS2_PULL_PARSER_GET_ATTRIBUTE_COUNT (parser, &env);
+               /* printf("__ attr count %d ",attr_count); */
+	            for (i = 1 ; i <= attr_count ; i++)
+        	    { 
+	        	    p = AXIS2_PULL_PARSER_GET_ATTRIBUTE_PREFIX_BY_NUMBER (parser, &env, i);
+        		    if (p)
+		            {
+        		        printf (" %s:", p);
+                        AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+		                p = NULL;
+                        p = AXIS2_PULL_PARSER_GET_ATTRIBUTE_NAME_BY_NUMBER (parser, &env,
i );
+        		        printf ("%s=\"", p);
+                        AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                        p = NULL;
+    		            p = AXIS2_PULL_PARSER_GET_ATTRIBUTE_VALUE_BY_NUMBER (parser, &env,
i);
+            		    printf ("%s\"", p);
+                        AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                        p = NULL;
+		            }
+        	        else
+        		    {
+		                p = AXIS2_PULL_PARSER_GET_ATTRIBUTE_NAME_BY_NUMBER (parser, &env, i);
+        		        printf (" %s=\"", p);
+                        AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                        p = NULL;
+		                p = AXIS2_PULL_PARSER_GET_ATTRIBUTE_VALUE_BY_NUMBER (parser, &env,
i);
+        		        printf ("%s\"", p);
+                        AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                        p = NULL;
+        		    }
+	            } 
+            	    
+
+        	printf (">");
+            
+            break;
+           
+            case AXIS2_PULL_PARSER_END_ELEMENT:
+                
+           	    printf ("</");
+                p = AXIS2_PULL_PARSER_GET_PREFIX (parser, &env);
+        	    if (p)
+	            {
+		            printf ("%s:", p);
+                    AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+	            }
+	            
+                p = AXIS2_PULL_PARSER_GET_NAME (parser, &env);
+	            printf ("%s", p);
+	            printf (">\n");
+                AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+            break;
+            
+            case AXIS2_PULL_PARSER_CHARACTER:
+                p = AXIS2_PULL_PARSER_GET_VALUE (parser, &env);
+                if(p)
+                {                    
+                    printf("%s",p);
+                    AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);    
+                }                    
+            break;
+                
+            case AXIS2_PULL_PARSER_EMPTY_ELEMENT:
+                 
+                printf ("\n<");
+        	    p = AXIS2_PULL_PARSER_GET_PREFIX (parser, &env);
+                
+        	    if (p)
+	            {
+            	    printf ("%s:", p);
+                    AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                    p = NULL;
+        	    }
+                 
+                p = AXIS2_PULL_PARSER_GET_NAME(parser, &env);
+	            printf ("%s", p);
+                AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+	    	    p = NULL;
+                printf(">");
+                
+            break;
+                
+            case AXIS2_PULL_PARSER_COMMENT:
+                
+                p = AXIS2_PULL_PARSER_GET_VALUE(parser, &env);
+                printf ("<!-- %s -->", p);
+                AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+            break;
+            
+            case AXIS2_PULL_PARSER_PROCESSING_INSTRUCTION:
+                
+                p = AXIS2_PULL_PARSER_GET_PI_TARGET(parser, &env);
+                printf ("<? %s ", p);
+                AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                p = AXIS2_PULL_PARSER_GET_PI_DATA(parser, &env);
+                printf (" %s ?>", p);
+                AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+            break;
+            
+            case AXIS2_PULL_PARSER_DOCUMENT_TYPE:
+                p= AXIS2_PULL_PARSER_GET_DTD(parser, &env);
+                printf("<!DOCTYPE %s>",p);
+                AXIS2_PULL_PARSER_XML_FREE(parser, &env, p);
+                break;
+            
+            default:
+            break;
+        }
+        
+        
+    }while(1);
+    
+    
+    AXIS2_PULL_PARSER_FREE(parser, &env);
+    axis2_env_free(env);
+    printf("\n\n");
+    return 0;
+}

Propchange: webservices/axis2/trunk/c/modules/xml/parser/libxml2/test/libxml_test.c
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message